A workflow job is created automatically whenever:Documentation Index
Fetch the complete documentation index at: https://docs.unstructured.io/llms.txt
Use this file to discover all available pages before exploring further.
- A workflow runs on a schedule. For more details see Create workflow.
- You run a workflow manually. For more details see Run workflow.
| Task | Python function | curl |
|---|---|---|
| Get a list of available jobs | jobs.list_jobs | GET /jobs |
| Get basic information about a job | jobs.get_job | GET /jobs/<job-id> |
| Get information about a job’s current processing status | jobs.get_job_details | GET /jobs/<job-id>/details |
| Get the list of any failed files for a job and why those files failed | jobs.get_failed_files | GET /jobs/<job-id>/failed-files |
| Run a workflow that takes one or more local files only as input, and the workflow exists only for the duration of that job’s run (known as an on-demand job) | POST /jobs/ | |
| Cancel a running job | jobs.cancel_job | POST /jobs/<job-id>/cancel |
- A workflow runs on a schedule. For more details see Create workflow.
- You run a workflow manually. For more details see Run workflow.

